Search for a floor
curl --request GET \
--url https://app.planpoint.io/api/floors/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.planpoint.io/api/floors/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.planpoint.io/api/floors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"project": "<string>",
"units": [
"objectId"
],
"name": "<string>",
"position": 123,
"floorplanUrl": "<string>",
"path": "<string>",
"alternativePaths": [
"<string>"
]
}Floors
Get Floor
Fetch a floor
GET
/
floors
/
{id}
Search for a floor
Authorizations
Path Parameters
Floor ID
Example:
"objectId"
Response
Successful operation
Unique identifier for the floor
Reference to the associated project
Reference to associated units
Name of the floor
Position or order of the floor
Floorplan image url
Floor drawing path
Alternative paths for the floor
⌘I